<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fair Trade Coffee</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="style.css">
    <link href="./images/fontawesome/css/all.css" rel="stylesheet"> <!--load all styles -->
</head>

<body>
    <div class="container">
        <h1>Fair Trade Coffee</h1>
        <p style="text-align: center;">Prove the authenticity of coffee using the Ethereum blockchain.</p>
        <hr>
    </div>

    <!-- div that floats left -->
    <div id="ftc-harvest" style="width: 50%; float:left; padding-bottom: 50px;">
        <h2 style="padding-top: 5pt;">Product Overview</h2>
        <div class="form-group">
            Stock-Keeping Unit (SKU)
            <br>
            <input class="input-field" type="number" id="sku" name="sku" value=1><br>
            Univesal Product Code (UPC)
            <br>
            <input type="number" id="upc" name="upc" value=1><br>
        <!--    Current Owner ID
            <br>
            <input type="text" id="ownerID" name="ownerID" value="" size="50"><br>
            <br> 
        -->
            <div class=button-div>
                <button class="btn-fetchOne" id="button" type="button" data-id="9">Farm Data</button>
                <button class="btn-fetchTwo" id="button" type="button" data-id="10">Product Data</button>
            </div>
        </div>

        <div class=form-break></div>
        <h2>Farm Details</h2>
        <div class="form-group">
            Farmer ID
            <br>
            <input type="text" id="originFarmerID" name="originFarmerID" value="0xB87a4620d01cF4E4fBAF77412ADB80eF0Cced573"
                size="50"><br>
            
                Farm Name
            <br>
            <input type="text" id="originFarmName" name="originFarmName" value="John Doe"><br>
            
            Farm Information
            <br>
            <input type="text" id="originFarmInformation" name="originFarmInformation" value="Yarra Valley"><br>
            
            3D Printer - Bed Temperature
            <br>
            <input type="text" id="originFarmLatitude" name="originFarmLatitude" value="0"><br>
            
            3D Printer - Tool Temperature
            <br>
            <input type="text" id="originFarmLongitude" name="originFarmLongitude" value="0"><br>
            <br>
            <button class="btn-harvest" id="button" type="button" data-id="1">Harvest</button>
            <button class="btn-process" id="button" type="button" data-id="2">Process</button>
            <button class="btn-pack" id="button" type="button" data-id="3">Pack</button>
            <button class="btn-forsale" id="button" type="button" data-id="4">ForSale</button>
        </div>

        <div class=form-break></div>
        <h2>Product Details</h2>
        <div class="form-group">
            Product Notes
            <br>
            <input type="text" id="productNotes" name="productNotes" value="Best beans for Espresso" size="60"><br>
            Product Price
            <br>
            <input type="number" id="productPrice" name="productPrice" value=1 style="width:85%"> ETH<br>
            Distributor ID
            <br>
            <input type="text" id="distributorID" name="distributorID" value="0xEF88D6ebA0b2eF8E70ccA65255fc5eF451a0aFF8"
                size="50">
            <br>
            Retailer ID
            <br>
            <input type="text" id="retailerID" name="retailerID" value="0x1053AC32D4Ab9C57317C286290151b9C3443cFD7"
                size="50"><br>
            Consumer ID
            <br>
            <input type="text" id="consumerID" name="consumerID" value="0xD2e67ef941e6F281797Bf946698FFB3C53103F17"
                size="50"><br>
            <br>
            <button class="btn-buy" id="button" type="button" data-id="5">Buy</button>
            <button class="btn-ship" id="button" type="button" data-id="6">Ship</button>
            <button class="btn-receive" id="button" type="button" data-id="7">Receive</button>
            <button class="btn-purchase" id="button" type="button" data-id="8">Purchase</button>
        </div>
        <div class=form-break></div>
    </div>


    <!-- div that floats right -->
    <div class="transaction-history" style="width:48%; float:right">
        <h2>3D Printer Data<span id="ftc-history"></span></h2>
        <div class="form-group">
            <div class=button-div>
                <button class="btn-mqtt-fetch-data" id="button" type="button" data-id="11">Update Data</button>
            </div>
        </div>

        <h2>Transaction History<span id="ftc-history"></span></h2>
        <div>
            <ul id="ftc-events">
                <!-- Events will appear here from app.js -->
            </ul>
            <br>
        </div>

        <!-- The Modal - Fetch Farm Data  -->
        <div id="farmDataModal" class="modal">
            <!-- Modal content -->
            <div class="modal-content">
            <span class="close1">&times;</span>
            <h2 style="margin-top: 10px;">Farm Information</h2>
            <p class="demo" id="demo-farm" style="margin-top: 25px;"></p>
            </div>
        </div>

        <!-- The Modal - Fetch Product Data  -->
        <div id="productDataModal" class="modal">
            <!-- Modal content -->
            <div class="modal-content">
            <span class="close2">&times;</span>
            <h2 style="margin-top: 10px;">Product Information</h2>
            <p class="demo" id="demo-product" style="margin-top: 25px;"></p>
            </div>
        </div>
    </div>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <!--<script src="js/web3.min.js"></script>-->
    <script src="https://cdn.jsdelivr.net/npm/web3@latest/dist/web3.min.js"></script>
    <script src="js/truffle-contract.min.js"></script>
    <script type="module" src="js/app.js"></script>
    <script src="https://unpkg.com/mqtt/dist/mqtt.min.js"></script>

    <script>
       
    </script>
    

    </body>
</html>